#
# spec file for package lv (Version 4.49.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         lv
Copyright:    GPL
Group:        Applications/Text
Autoreqprov:  on
Version:      4.49.4
Release:      107
URL:          http://www.ff.iij4u.or.jp/~nrt/lv/
Source:       http://www.ff.iij4u.or.jp/~nrt/freeware/lv4494.tar.bz2
Buildroot: /var/tmp/%{name}-root
Summary:      Powerful Multilingual File Viewer, same user interface as "less"

%description
lv is a powerful multilingual file viewer. Apparently, lv looks like
less (1), a representative file viewer on UNIX as you know, so UNIX
people (and less people on other OSs) don't have to learn a burdensome
new interface.
lv can decode and encode multilingual streams through many coding
systems. lv can be used not only as a file viewer but also as a
coding-system translation filter.
lv can recognize multi-bytes patterns as regular expressions, and lv
also provides multilingual grep (1) functionality by giving it another
name, lgrep.
lv can recognize ANSI escape sequences for text decoration.

Authors:
--------
    NARITA Tomio <nrt@ff.iij4u.or.jp>

SuSE series: j

%prep
%setup -n lv4494 

%build
# update config.{guess,sub}
%{?suse_update_config:%{suse_update_config -f src }}
pushd build
    CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64" \
    CXXFLAGS="$RPM_OPT_FLAGS  -D_FILE_OFFSET_BITS=64" \
    ../src/configure --prefix=/usr \
		     --mandir=%{_mandir} \
		     --infodir=%{_infodir} \
		     --sysconfdir=/etc
    make 
popd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT%{_mandir}/man1
make -C build \
     prefix=$RPM_BUILD_ROOT/usr \
     mandir=$RPM_BUILD_ROOT%{_mandir} \
     infodir=$RPM_BUILD_ROOT%{_infodir} \
     sysconfdir=$RPM_BUILD_ROOT/etc \
     install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc GPL.txt README *.html hello* 
%doc %{_mandir}/man1/*
/usr/bin/*
/usr/lib/*

%changelog -n lv
* Fri Feb 02 2001 - mfabian@suse.de
- new package: lv 4.49.4
